List parents objects in a hierarchy instance
Learn more about how to use the List parent objects to return a flat list of parent objects for an entity in a hierarchy instance.
Use the List parent objects to retrieve all parent objects for a specified entity in a hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.
HTTP method and endpoint
Use the following HTTP method and endpoint path to submit the request:
GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/objects/{entityId}/parents
Request headers
The following request headers must be included.
| Header | Value | Required |
|---|---|---|
Authorization | Bearer <token> | Yes |
Query parameters
The following table describes the query parameters and their values.
| Parameter | Type | Required | Description | Accepted values / Default |
|---|---|---|---|---|
date | String | No | Returns the hierarchy state for a specific date. Use ISO 8601 date format. | Example: 2025-10-10. Default: today |
Request body
This operation does not require a request body.
Example request
Use the following example to see how a complete request is structured with headers.
GET /{instanceId}/objects/{entityId}/parents?date=2025-10-10
Authorization: Bearer <token>
Response fields
The following table describes the fields returned in the response body.
| Field | Type | Description |
|---|---|---|
entityId | String | The entity ID of the parent object. |
entityType | String | The entity type of the parent object. |
label | String | The label value of the parent object. |
hasMoreChildren | Boolean | Indicates whether the parent object has additional child objects. |
hasManyParents | Boolean | Optional. Indicates whether the parent object has multiple parents. Default: false. |
connectionId | String | The connection ID between the requested object and this parent object. |
Example response
The following example shows the response body.
[
{
"entityId": "parent1Id",
"entityType": "configuration/entityTypes/HCP",
"label": "Parent 1",
"hasMoreChildren": false,
"hasManyParents": true,
"connectionId": "objectToParent1Id"
},
{
"entityId": "parent2Id",
"entityType": "configuration/entityTypes/HCP",
"label": "Parent 2",
"hasMoreChildren": false,
"connectionId": "objectToParent2Id"
},
{
"entityId": "parent3Id",
"entityType": "configuration/entityTypes/HCP",
"label": "Parent 3",
"hasMoreChildren": false,
"connectionId": "objectToParent3Id"
}
]